@import "../../_mixins.scss";

.sales-activity-management {
  .header-actions {
    display: flex;
    justify-content: space-between;
    margin: 10px 0 8px 0;

    .right {
      display: flex;
      align-items: center;

      .action-btn {
        margin: 0 5px 0 0;
        min-width: 75px;
        font-weight: 600;
        cursor: pointer;

        img.img-icon {
          margin: 0 5px 0 5px;
          width: 15px;
        }
      }

      // .btn.square-btn {
      //   font-size: 30px;
      //   padding: 2px 8px;
      // }
      .top-bar-active-filter {
        // max-width: 777px;
        // width: 500px;
        height: 31px;
        background-color: white;
        margin-top: -2px;
        border-radius: 5px;
        margin-right: 16px;
        display: flex;
        flex-direction: row-reverse;
        align-items: center;
        padding-right: 15px;

        .clear-action {
          height: 15px;
          width: 70px;
          font-family: Montserrat;
          font-size: var(--font-xs);
          font-weight: 500;
          font-stretch: normal;
          font-style: normal;
          line-height: 1.25;
          letter-spacing: normal;
          text-align: left;
          color: #db7c20;
          padding-left: 15px;

          &:hover {
            cursor: pointer;
          }
        }

        .applied-filter {
          display: flex;
          justify-content: center;
          align-items: center;
          padding-left: 10px;
        }

        .filters {
          font-family: Montserrat;
          font-size: var(--font-m);
          font-weight: 500;
          font-stretch: normal;
          font-style: normal;
          line-height: 1.29;
          letter-spacing: normal;
          text-align: left;
          color: #003041;
          padding-left: 8px;
          padding-right: 8px;
        }

        .top-filter-delete {
          width: 12px;
          height: 12px;
          // padding-left: 4px;
          opacity: 1;
          transform: none;
          cursor: pointer;
        }
      }

      .action-btn+.filter {
        position: relative;
        cursor: pointer;
      }

      .action-btn-group {
        filter: grayscale(1);
        margin: 0 5px 0 0;
        min-width: 95px;
        font-weight: 600;

        img.img-icon {
          margin: 0 5px 0 5px;
          width: 15px;
        }
      }
    }
  }

  button.square-btn {
    min-width: unset !important;
    margin: 0 5px 0 0;
  }

  .body-panel {
    height: 83vh;
    margin: 10px 0 0 0;
  }
}

.add-new-activity {
  margin-left: 13px;
  min-width: 35px;
  height: var(--input-height);
  background-color: #40c4ec;
  color: white;
  font-size: 29px;
  font-weight: 500;
  text-align: center;
  cursor: pointer;
  line-height: 1;
}

.sales-activity-details {
  .header {
    display: flex;
    justify-content: space-between;
    padding: 0;

    .left {
      display: flex;

      .icons {
        display: flex;

        img.status-svg-images {
          width: 15px;
          margin: 0 0px 0 2px;
        }

        img.status-svg-images-black {
          width: 15px;
          filter: invert(1);
          margin: 0 0px 0 2px;
        }
      }

      .name {
        font-size: var(--font-xl);
        font-weight: 600;
        line-height: 2;
        text-align: left;
        color: #00455f;
      }
    }

    .right {
      display: flex;
      justify-content: flex-end;
      gap: 10px;

      .square-btn.btn {
        height: var(--input-height);
        min-width: 80px;
        margin: auto;
      }

      span.project-id {
        font-size: var(--font-l);
        color: #999;
        line-height: 2.5;
        font-weight: 500;
        padding: 0 10px 0 0;

        span {
          font-weight: 600;
        }
      }

      .bom-details {
        margin-right: 5px !important;
      }
    }
  }

  .separator {
    height: 38px;
    border-left: 1px solid #ccc;
    margin: 0px 10px 0 10px;
  }

  .first-row {
    display: flex;
    margin: 0 -5px 0 -7px;

    .ticket-selection {
      border-bottom: 1px solid #dce6ea;
    }
  }

  .action-second {
    padding: 9.5px 5px 28px 0px !important;
  }

  .status-actions-row {
    margin: 8.5px 6px 0px 7px;
    padding: 9.5px 10px 28px 15px;
    background-color: #ffffff;
    width: 80%;
    display: flex;

    .sales-activity-action-component {
      display: flex;
      flex-direction: column;

      .field-section div.row.field__input textarea {
        width: 100%;
        height: 150px;
      }
    }

    .action {
      flex-grow: 1;
      flex-shrink: 1;
      flex-basis: 1;
      text-align: center;

      .status-name {
        font-size: var(--font-xs);
        font-weight: 600;
        line-height: 1.8;
        letter-spacing: normal;
        color: #003041;
      }

      .status-box {
        height: 68px;
        margin: 10px 9px 0 0;
        background-color: #c3cbce;
        font-size: var(--font-m);
        font-weight: 600;
        padding: 5px 0 0 0;

        .name {
          height: 20px;
        }

        &:hover {
          cursor: pointer;
        }

        /* .date {
          vertical-align: middle;
        }
        .name {
          vertical-align: middle;
        }*/
      }
    }

    .not-started {
      .status-box {
        background-color: #c3cbcd !important;
        color: #4e585c !important;
      }
    }
  }

  .status-overall {
    width: 20%;
    height: auto;
    margin: 8.5px 6px 0px 2px;
    padding-bottom: 18px;
    padding: 0px 10px -3px 18px;
    background-color: #ffffff;

    .status-text {
      font-size: var(--font-xs);
      font-weight: 500;
      line-height: 1.25;
      color: #4e585c;
    }

    .field__label {
      padding: 5px 0 0 0 !important;
    }
  }

  .status-overall-accordians {
    width: 20%;
    margin: 8.5px 6px 0px 2px;
    padding: 0 0;
    background-color: #ffffff;

    .status-text {
      font-size: var(--font-xs);
      font-weight: 500;
      line-height: 1.25;
      color: #4e585c;
    }

    .details-box {
      display: flex;
      flex-direction: column;
      padding: 10px;

      .opp-container {
        flex-direction: column;
      }

      .meeting-detail-contact {
        margin-top: 1px;

        .box {

          // width: 500px;
          .right {
            .contact-cancel {
              margin: 0px !important;
            }
          }
        }
      }

      .label-details {
        text-align: left;
        color: #4e585c;
        font-size: var(--font-xs);
      }

      .label-details-error-msg {
        text-align: left;
        color: red;
        font-size: 12px;
      }

      .contact-cancel {
        min-width: 0px;
        width: 80px;
        // margin-left: 125px;
      }

      .contact-save {
        min-width: 0px;
        width: 80px;
        margin-left: 12px;
      }

      .contact-container {
        &:hover {
          .contact-role-edit-icon {
            transform: none;
            cursor: pointer;
            filter: invert(1);
            width: 13px;
            height: 13px;
            margin: 0 0 0 5px;
          }
        }
      }

      .label-content {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        padding-top: 6px;
        font-size: var(--font-m);
        font-weight: 600;
        font-style: normal;
        line-height: 1.29;
        text-align: left;
        color: #00455f;

        .contact-actions {
          display: flex;
          margin: 5px 0 0 0;
        }

        .contact-edit-icon {
          transform: none;
          cursor: pointer;
          filter: invert(1);
          width: 13px;
          height: 13px;
          margin: 4px 10px 0 0;
        }
      }

      .project-type {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;

        .project-save-icon {
          transform: none;
          cursor: pointer;
          width: 18px;
          height: 18px;
          margin: -5px 12px 0 0;
        }

        .project-edit-icon {
          transform: none;
          cursor: pointer;
          filter: invert(1);
          width: 13px;
          height: 13px;
          margin: 4px 10px 0 0;
        }

        .project-delete-icon {
          transform: none;
          cursor: pointer;
          width: 13px;
          height: 13px;
          margin: -5px 10px 0 0;
        }
      }

      .label-sub-content {
        padding-left: 30px;
        display: flex;
        margin: 0;
      }

      .label-sub-content-attended-text {
        display: flex;
        justify-content: flex-end;
        padding-bottom: 10px;
      }

      .action-item {
        height: 15px;
        margin-top: 15px;
        margin-bottom: 10px;
        font-family: Montserrat;
        font-size: var(--font-xs);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #db7c20;

        &:hover {
          cursor: pointer;
        }
      }

      .field-section {
        padding: 0px;
      }

      .col-md-6,
      .col-xs-6 {
        padding: 0px;
      }

      .upload-box {
        margin: 19.3px 11px 5px 4.1px;
        padding: 10px;
        border: solid 1px #d3dde0;
        background-color: #ffffff;
      }

      .upload-filename {
        width: 164px;
        height: 15px;
        font-family: Montserrat;
        font-size: var(--font-xs);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #00455f;
      }

      .file-upload-actions {
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
        margin-top: 5px;
      }

      .file-upload-cancel {
        margin-left: 10px;
      }

      .file-action-icons {
        width: 10px;
        height: 10px;
        opacity: 1;
        transform: none;
        cursor: pointer;
      }

      .doucments-list {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        position: relative;

        .document {
          display: flex;
          align-items: center;
          width: 100%;
          flex-direction: row;
          justify-content: space-between;
          align-items: center;
          padding-bottom: 15px;

          &:hover {
            cursor: pointer;
          }

          .doc-right {
            display: flex;
            align-items: center;

            .document-label-content {
              display: flex;
              flex-direction: row;
              justify-content: space-between;
              padding-top: 6px;
              font-size: var(--font-m);
              font-weight: 600;
              font-style: normal;
              line-height: 1.29;
              text-align: left;
              color: #00455f;
              word-break: break-all;
              white-space: pre-wrap;
            }
          }

          .file-icons {
            opacity: 1;
            width: 35px;
            height: var(--input-height);
            transform: none;
            margin-left: 5px;
            margin-right: 5px;
          }

          .download-icons {
            opacity: 1;
            width: 20px;
            height: 20px;
            transform: none;
            margin-left: 5px;
            margin-right: 5px;
          }

          .document-delete {
            margin-left: 160px;
          }
        }
      }
    }
  }

  .color-preview {
    padding: 0;
    height: 58px;
    line-height: 2.5;
    font-weight: 600;
    display: flex;
    flex-direction: row;
    margin: 10px 0 0 0;

    .left-column {
      width: 5px;
      height: 58px;
    }

    .text {
      width: 100%;
      padding: 4px 10px;
      white-space: nowrap;
      overflow: hidden;
      display: flex;
      text-overflow: ellipsis;
      font-size: var(--font-m);
      place-content: flex-start;
      line-height: 3.5;
    }
  }
}

.sales-activity-list-panel {
  .sales-activity-list {
    background: white;

    .sub-heading {
      padding: 0 5px;
      display: grid;
      grid-template-columns: 1fr 0.25fr 1fr;
      grid-template-rows: auto;
      font-weight: 400;
    }

    .title {
      padding-left: 25px;
      text-align: left;
    }

    .sales-activity-title {
      font-weight: 600;
    }

    .header {
      padding: 15px;
      display: grid;
      grid-template-rows: auto;
      border-bottom: solid 1px #d3dde0;

      .time {
        font-weight: 600;
        text-align: center;
      }

      .title {
        font-weight: 600;
        cursor: pointer;
      }

      .sales-activity-name {
        display: flex;
        padding-left: 25px;
        justify-content: left;
        cursor: pointer;
      }

      .manager.title {
        display: flex;
      }
    }

    .column-7 {
      grid-template-columns: 0.5fr 1fr 1.4fr 0.75fr 0.75fr 0.75fr 0.6fr;
    }

    .column-8 {
      grid-template-columns: 0.5fr 1fr 1.5fr 1fr 0.75fr 0.75fr 0.75fr 0.6fr;
    }

    .column-8-sales-activity {
      grid-template-columns: 0.5fr 0.5fr 1fr 0.75fr 0.75fr 0.75fr 0.75fr 1fr;
    }

    .column-9-sales-activity {
      grid-template-columns: 0.5fr 0.5fr 1fr 0.75fr 0.75fr 0.75fr 0.75fr 0.75fr 1fr;
    }

    .column-10-sales-activity {
      grid-template-columns: 0.5fr 0.5fr 1fr 1fr 1fr 0.75fr 0.75fr 0.5fr 0.75fr 0.5fr;
    }

    .column-11 {
      grid-template-columns: 0.5fr 0.5fr 1fr 1fr 1fr 0.75fr 0.75fr 0.75fr 0.5fr 0.75fr 0.5fr;
    }

    .row-panel {
      margin: 10px;
      display: grid;
      grid-template-rows: auto;
      text-align: center;
      line-height: 3;
      font-weight: 500;
      height: var(--input-height);
      cursor: pointer;

      img.status-svg-images {
        width: 15px;
        margin: -20px 0 0 0;
      }

      .icons {
        justify-content: space-around;
        display: flex;
        margin: 0 0 0 5px;
      }

      .sales-activity-project-age {
        display: flex;
        justify-content: left;
        width: 50px;
        // padding-left: 25px;
        cursor: pointer;

        .ellipsis-text {
          white-space: nowrap;
          overflow: hidden;
          text-overflow: ellipsis;
          width: 50px;
          text-align: left;
        }

        .name {
          font-weight: 400;
        }

        &:hover {
          text-decoration: underline;
          color: blue;
        }
      }

      .due-date {
        width: 103px;
      }

      .sales-activity-project-name {
        display: flex;
        justify-content: left;
        padding-left: 12px;
        overflow: hidden;

        .name {
          font-weight: 400;
        }

        &:hover {
          text-decoration: underline;
          color: blue;
        }
      }

      .manager {
        display: flex;
        align-items: center;
        float: unset;
        margin: 0 0 0 10px;
      }

      .sub-heading {
        font-weight: 600;
      }
    }

    .row-highlight {
      background: #f5ecee !important;
    }

    .sales-activity-status {
      width: 80px;
      margin: 0 0 0 0;
      font-size: var(--font-s);
      font-weight: 600;
      font-stretch: normal;
      font-style: normal;
      letter-spacing: normal;
      text-align: left;
      line-height: 2;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      // width: 100px;
      text-align: left;

      .ellipsis-text {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        text-align: left;
        padding: 4px 10px;
        width: 100%;
      }
    }

    .ellipse-actions {
      // position: relative;
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: flex-end;
      padding-right: 15px;

      .ellipse-item {
        background-color: #4e575c;
        height: 4px;
        width: 4px;
        border-radius: 50%;
        margin: 0 0 0 2px;
      }

      .rowellipse-actions {
        position: absolute;
        padding: 0 15px 0 15px;
        display: flex;
        flex-direction: column;
        align-items: start;
        background-color: white;
        border: solid 1px #d3dde0;
        border-radius: 2px;
        right: 65px;

        .edit-activity,
        .close-activity {
          width: 100%;
          text-align: left;
        }
      }

      .action-status-message-sales {
        height: 20px;
        padding: 3px 8px 1.3px;
        border-radius: 4px;
        border: solid 1px #176f07;
        background-color: #176f07;
        position: absolute;

        .message-text {
          margin-top: -10px;
          color: white;
        }
      }
    }
  }

  .applied-filters-row {
    display: flex;
    background: white;
    border-bottom: solid 1px #d3dde0;
    padding: 10px;

    .top-bar-active-filter {
      // max-width: 777px;
      // width: 500px;
      // height: 31px;
      background-color: white;
      margin-top: -2px;
      border-radius: 5px;
      margin-right: 16px;
      display: flex;
      flex-direction: row;
      align-items: center;
      flex-wrap: wrap;
      // padding-right: 15px;

      :first-child {
        padding-left: 0px;
        margin-left: 0px !important;
      }

      .clear-action {
        height: 15px;
        width: 70px;
        font-family: Montserrat;
        font-size: var(--font-xs);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #db7c20;
        padding-left: 15px;

        &:hover {
          cursor: pointer;
        }
      }

      .applied-filter {
        display: flex;
        justify-content: center;
        align-items: center;
        padding-left: 10px;
        border: 1px solid #3cbbc1;
        border-radius: 5px;
        padding: 5px;
        margin-top: 5px;
        margin-bottom: 5px;
        margin-left: 5px;
      }

      .filters {
        font-family: Montserrat;
        font-size: var(--font-m);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.29;
        letter-spacing: normal;
        text-align: left;
        color: #003041;
        padding-left: 8px;
        padding-right: 8px;
      }

      .top-filter-delete {
        width: 12px;
        height: 12px;
        // padding-left: 4px;
        opacity: 1;
        transform: none;
        cursor: pointer;
      }
    }
  }
}


.sales-activity-management {
  .sales-activity-action-tabs {
    display: flex;
    min-width: unset;
    margin: 0 0 5px 0;
  }

  .sales-activity-action-tabs-link {
    border-radius: 2px;
    font-family: var(--font-first);
    font-weight: 700;
    font-size: var(--font-s);
    line-height: 1;
    font-style: normal;
    font-stretch: normal;
    letter-spacing: 0.2px;
    text-align: left;
    color: var(--primary);
    border-color: var(--primary);
    padding: 8px 14px;
    text-align: center;
    outline: none;
    margin: 0 5px 0 0;
    min-width: unset;
    border: 1px solid var(--primary);
    background: var(--default);

    @include transitions(all 0.5s ease);
    @include text_one_line;

    &:hover,
    &:active,
    &:focus,
    &:focus:active,
    &:hover:active {
      background: var(--primary);
      color: var(--default);
      border-color: var(--primary);

      img {
        filter: invert(75%);
      }
    }

    &.--active {
      background: var(--primary);
      color: var(--default);
      border-color: var(--app-bg);

      img {
        filter: invert(75%);
      }

      position: relative;
      display: block;

      &::after {
        position: absolute;
        bottom: 0;
        height: 0;
        width: 0;
        left: 43%;
        border: 6px solid transparent;
        border-bottom-color: var(--app-bg);
        content: "";
      }
    }
  }

  .color-preview {
    padding: 0;
    height: var(--input-height);
    line-height: 2.5;
    font-weight: 600;
    display: flex;
    flex-direction: row;
    margin: 10px 0 0 0;

    .left-column {
      width: 5px;
      height: var(--input-height);
    }

    .text {
      width: 100%;
      padding: 4px 10px;
      white-space: nowrap;
      overflow: hidden;
      display: flex;
      text-overflow: ellipsis;
      font-size: var(--font-m);
      place-content: flex-start;
      line-height: 2.4;
    }
  }
}

.customer-contact-sales-activity {
  display: flex;
  align-items: center;
}

.add-new-option-sow-sales-activity {
  margin-top: 15px;
  margin-left: 0px;
  min-width: 20px !important;
  height: var(--input-height);
  // margin-top: 27px;
  font-size: 30px !important;
  line-height: 0 !important;
  text-overflow: unset !important;
}

.search-sales-activty {
  margin: -20px 0 0 0;

  .field__label {
    display: none !important;
  }

  .field__input.row {
    background: white;
  }

  span.field__error {
    display: none;
  }
}


.infinite-scroll-component {
  overflow: hidden !important;

  .PMOCollapsible-component {
    margin: 0;

    .label {
      padding: 20px 0;
      margin: 0 0 10px 0;
    }
  }
}

.load-more {
  border: 1px solid #ccc;
  display: flex;
  padding: 10px;
  justify-content: center;
  margin: 40px;
  cursor: pointer;

  &:hover {
    color: blue;
    text-decoration: underline;
  }
}

.sales-activity-filters-container-sales {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  padding: 10px;
  width: 431px;
  height: 400px;
  border-radius: 4px;
  border: solid 1px #d3dde0;
  background-color: #ffffff;
  z-index: 1;
  position: absolute;
  right: 120px;
  top: 110px;

  .header {
    display: flex;
    justify-content: space-between;

    .filter-heading {
      font-family: Montserrat;
      font-size: var(--font-xs);
      font-weight: 500;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.25;
      letter-spacing: normal;
      text-align: left;
      color: #79868b;
    }
  }

  .body-container {
    display: flex;
    flex-direction: row;
    height: 250px;
    padding-top: 15px;

    .filter-left {
      width: 250px;
      border-right: 0.5px solid;
      border-right-color: #dce6ea;

      .filter-option {
        min-height: 42px;
        font-family: Montserrat;
        font-size: var(--font-m);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.29;
        letter-spacing: normal;
        text-align: left;
        color: #003041;
        cursor: pointer;
        padding-top: 12px;
        padding-left: 12px;
      }

      .active-filter {
        font-family: Montserrat;
        font-size: var(--font-m);
        font-weight: 600;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.29;
        letter-spacing: normal;
        text-align: left;
        color: #00a0dc;
        background-color: #eaf8fd;
        border-right: 3px solid #00a0dc;
      }

      .selection-count {
        padding-top: 8px;
        padding-bottom: 8px;
        font-family: Montserrat;
        font-size: var(--font-xs);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #808688;
      }
    }

    .filter-right {
      width: 100%;
      max-height: 255px;
      overflow-y: auto;

      .filter-selection {
        width: 210px;
        margin-left: 25px;

        .field-section {
          padding: 10px 0px;

          .field__input {
            .rdt {
              position: absolute;
            }
          }
        }
      }
    }
  }

  .selected-filter-section {
    display: flex;
    margin-top: 18px;
    justify-content: space-between;
    align-items: center;
    padding-left: 6px;
  }

  .selected-filter-option {
    font-family: Montserrat;
    font-size: var(--font-m);
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.29;
    letter-spacing: normal;
    text-align: left;
    color: #003041;
  }

  .selected-delete {
    width: 12px;
    height: 12px;
    opacity: 1;
    transform: none;
    cursor: pointer;
  }

  .action-footer {
    margin-top: 30px;
    margin-left: 250px;
  }
}

.pmo-listing-loader {
  position: absolute;
  left: 55%;
  top: 50% !important;
  z-index: 999;
}

.activity {

  .priority-input,
  .customer-contact-input,
  .customer-input {
    width: 350px;
  }

  .due-date-input {
    width: 200px;
  }

  .header-label {
    padding-bottom: 15px;
  }

  .activity-type-option {
    padding-bottom: 5px;

    .checkbox__input {
      width: 20px;
      height: 25px;
      margin: 0;
      margin-top: 0;
    }

    .checkbox__content {
      margin-top: 0;
      font-size: var(--font-l);
    }
  }
}

.sales-status {
  padding-left: 5px !important;
}

.custom-view-action {
  display: flex;
  // align-items: center;
  border-bottom: solid 1px #d3dde0;
  padding-top: 15px;
  padding-left: 15px;
  padding-bottom: 15px;


  .default-view {
    font-family: Montserrat;
    font-size: var(--font-m);
    font-weight: 600;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.29;
    letter-spacing: normal;
    text-align: left;
    color: #001f2b;
    padding-left: 10px;
    padding-right: 10px;
    cursor: pointer;
  }

  .custom-view {
    font-family: Montserrat;
    font-size: var(--font-xs);
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.25;
    letter-spacing: normal;
    text-align: left;
    color: #db7c20;
    padding-left: 10px;
    padding-top: 2px;
    cursor: pointer;
  }

  .active-view {
    border-bottom: solid 3px #00a0dc;
    margin-bottom: -15px;
    color: #00a0dc;
  }
}

.ellipsis-no-width {
  display: block;
  width: 93%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  text-align: left;
  padding: 0 0 0 2px;
}